require 'agilib'
require 'optparse'

module Agilib
  class Cli

    def self.run(args, out = STDOUT)

      OptionParser.new{ |opts|
        opts.banner = "Usage:\n    agilib [options] <location>"
        opts.separator "\nOptions: "

        opts.on_tail("-v", "--version", "Print version number") do
          require "agilib/version"
          out << "Agilib #{Agilib::VERSION}\n"
          exit
        end

        opts.on_tail("-h", "--help", "Print this help") do
          out << "Agilib Help.\n\n"
          out << opts
          out << "\nCreated and maintained by Agivis Web & Mobile, available under the MIT License.\n"
          exit
        end
      }.parse!(args)

    end

  end
end
