# encoding: utf-8

require 'agilib'
require 'thor'

module Agilib
  module Composer
  	class Command < Thor
      include Thor::Actions

      desc "composer APP_NAME", "Cria uma nova aplicação Rails nos padrões da Agivis"

      method_option :all, :type => :boolean, :aliases => "-a", :default => false
      def composer(name)
        Agilib::Composer.options = options

        # Instala uma aplicação Rails
        system("rails new #{name} --skip-bundle --skip-test-unit -d mysql -m #{Agilib::Composer.template_runner}")
      end

      desc "setup", "Prepara o ambiente para a aplicação"
      def setup()
        
        say("\n\nInstalando RVM\n\n\n")
        system("curl -sSL https://get.rvm.io | bash -s stable")
        
        system("source ~/.profile")

        say("\n\nInstalando Ruby\n\n")

        system("rvm install 2.1.0")
      
        say("\n\nInstando a gem Bundler")
        system("gem install bundler")

      end


  	end
  end
end