module Agilib
  module Composer
    class Templater

      attr_reader :post_bundler_strategies

      def initialize
        @post_bundler_strategies = []
        @template_framework_path = File.join(File.dirname(__FILE__), 'templates')
      end

      def post_bundler(&block)
        @post_bundler_strategies << block
      end

      def recipe(name)
        File.expand_path("recipes/#{name}.rb", @template_framework_path)
      end

      def snippet_path(group)
        File.expand_path("snippets/#{group}", @template_framework_path)
      end

      def load_snippet(name, group)
        group_path = snippet_path(group)
        File.read  File.expand_path("#{name}.rb", group_path)
      end

    end

  end
end