gem 'devise'

templater.post_bundler do
  
    generate 'scaffold', 'user name -s'

    rake 'db:migrate'
    
  	generate 'devise:install'

  	generate 'devise', "user"
  	
    rake 'db:migrate'
  	
    generate 'devise:views'

  	devise_filter_config = <<-TEXT


protected
  def configure_permitted_parameters
    devise_parameter_sanitizer.for(:sign_up) { |u| u.permit(:name, :email, :password, :password_confirmation, :full_name, :phone) }
  end

  TEXT

  inject_into_file "app/controllers/application_controller.rb", devise_filter_config, :after => "protect_from_forgery with: :exception"
  inject_into_file "app/controllers/application_controller.rb", "\n\n  before_filter :configure_permitted_parameters, if: :devise_controller?\n\n  ", :after => "class ApplicationController < ActionController::Base"

  gsub_file "app/controllers/users_controller.rb", 'params.require(:user).permit(:name)', "params.require(:user).permit(:name, :email, :password, :password_confirmation)"

end