gem "rails_layout", :group => [:development]

templater.post_bundler do 

	generate 'layout:install', 'bootstrap3 -force'

	if defined? app_name
		name = app_name
	elsif defined? application_name
		name = application_name
	end

	gsub_file "app/views/layouts/_navigation.html.erb", "<%= link_to 'Home', root_path, class: 'navbar-brand' %>", "<%= link_to \"#{app_name.capitalize} App\", agilib_root_path, :class => \"navbar-brand\" %>"
	
	prepend_file "app/assets/stylesheets/framework_and_overrides.css.scss" do
		<<-RUBY
@import "bootstrap-variables";
@import "bootstrap.scss";
		RUBY
	end

	gsub_file "app/assets/stylesheets/framework_and_overrides.css.scss", '@import "bootstrap";', ""


	page_css_initial = <<-TEXT



.page-header {
  a.btn {
    float: right;
  }

  a.btn + a.btn {
    margin-right: 8px;
  }
}

input[type="radio"], input[type="checkbox"] {
  width: initial;
  height: initial;
  margin-top: 7px;
}
	TEXT

	inject_into_file "app/assets/stylesheets/framework_and_overrides.css.scss", page_css_initial, :after => '@import "bootstrap.scss";'

	gsub_file "app/assets/stylesheets/framework_and_overrides.css.scss", 'width: 100%', "//width: 100%"
	gsub_file "app/assets/stylesheets/framework_and_overrides.css.scss", 'padding-bottom: 80px', "//padding-bottom: 80px"
	gsub_file "app/assets/stylesheets/framework_and_overrides.css.scss", 'background-color: #eee', "//width: 100%"
	gsub_file "app/assets/stylesheets/framework_and_overrides.css.scss", 'margin-top: 51px', "margin-top: $navbar-height + 10px"
	gsub_file "app/assets/stylesheets/framework_and_overrides.css.scss", 'max-width: 320px;', "max-width: 420px;"

	generate 'layout:devise', 'bootstrap3 -force'

	devise_form_config = <<-TEXT
    <div class="form-group">
      <%= f.label :name %>
      <%= f.text_field :name, :autofocus => true, class: 'form-control' %>
    </div>
	TEXT

	inject_into_file "app/views/devise/registrations/new.html.erb", devise_form_config, :after => "<%= devise_error_messages! %>"
	gsub_file "app/views/devise/registrations/new.html.erb", "<%= f.email_field :email, :autofocus => true, class: 'form-control' %>", "<%= f.email_field :email, class: 'form-control' %>"

	inject_into_file "app/views/devise/registrations/edit.html.erb", devise_form_config, :after => "<%= devise_error_messages! %>"
	gsub_file "app/views/devise/registrations/edit.html.erb", "<%= f.email_field :email, :autofocus => true, class: 'form-control' %>", "<%= f.email_field :email, class: 'form-control' %>"


end