# encoding: utf-8

require 'spec_helper'
require 'rspec_api_documentation/dsl'

resource "1 - Tokens de Autenticação" do
  header "Accept", "application/json"
  header "Content-Type", "application/json"

  let(:token) { "" } 
  let(:user){ create(:user) }

  # POST /tokens
  post "/tokens" do

    parameter :email, "Email do Usuário", :required => true
    parameter :password, "Senha do Usuário", :required => true

    let(:email) { user.email }
    let(:password) { user.password }

    let(:raw_post) { params.to_json }

    example_request "1.1 Solicitar Token de Autenticação" do
      expect(status).to eq(200)
    end
  end

  # GET /tokens
  get "/tokens/check" do

    parameter :user_token, "Token de Autenticação", :required => true

    let(:user_token) { user.authentication_token }

    let(:raw_post) { params.to_json }

    example_request "1.2 Checar validade do Token" do
      expect(status).to eq(200)
    end
  end

  # DELETE /tokens
  delete "/tokens" do

    parameter :user_token, "Token de Autenticação", :required => true

    let(:user_token) { user.authentication_token }

    let(:raw_post) { params.to_json }

    example_request "1.3 Remover Token de Autenticação" do
      expect(status).to eq(200)
    end
  end

end