# encoding: utf-8

require 'spec_helper'
require 'rspec_api_documentation/dsl'

resource "2 - Usuários" do
  header "Accept", "application/json"
  header "Content-Type", "application/json"

  let(:current_user) { create(:user) }

  let(:user_token) { current_user.authentication_token if current_user }
  let(:user_email) { current_user.email if current_user }

  # POST /users
  post "/users" do
    parameter :name, "Nome do usuário", :required => true, :scope => "user"
    parameter :email, "E-mail do usuário", :required => true, :scope => "user"
    parameter :password, "Senha do usuário", :required => true, :scope => "user"
    parameter :password_confirmation, "Confirmação da Senha", :required => true, :scope => "user"

    let(:name) { "User Test" }
    let(:email) { "usertest@email.com" }
    let(:password) { "password1234" }
    let(:password_confirmation) { "password1234" }

    let(:raw_post) do
      # puts params.to_json
      params.to_json
    end

    example_request "2.1 Criação de um usuário" do
      # puts response_body
      expect(status).to eq(201)
      
      current_user = JSON.parse(response_body)
    end
  end

  # PUT /users/:id
  put "/users/:id" do
    parameter :name, "Nome do usuário", :required => false, :scope => "user"
    parameter :email, "E-mail do usuário", :required => false, :scope => "user"
    parameter :password, "Senha do usuário", :required => false, :scope => "user"
    parameter :password_confirmation, "Confirmação da Senha", :required => true, :scope => "user"
    parameter :user_token, "Token de Autenticação",  :required => true
    parameter :user_email, "Email de Autenticação",  :required => true

    let(:id) { current_user.id }
    let(:name) { "Updated Name" }

    let(:raw_post) { params.to_json }

    example_request "2.2 Alteração do Perfil" do
      puts response_body
      expect(status).to eq(204)

    end
  end

  # # GET /users/:id
  # get "/users/:id" do
  #   parameter :user_token, "User token", :required => true
  #   parameter :user_email, "User email", :required => true

  #   let(:id) { current_user.id }

  #   example_request "Getting a specific user" do
      
  #     puts response_body

  #     response_body.should == current_user.to_json
  #     status.should == 200
  #   end
  # end

  # # DELETE /users/:id
  # delete "/users/:id" do
  #   parameter :id, "Id of user", :required => true, :scope => :user
  #   parameter :user_token, "User token",  :required => true
  #   parameter :user_email, "User email",  :required => true

  #   let(:raw_post) { params.to_json }
  #   let(:id) { user.id }

  #   example_request "Deleting an user" do
  #     status.should == 204
  #   end
  # end

end