require 'active_support/dependencies'

module Agilib
  module PushNotification
  	module Platform
	  	module Ios
	    	extend ActiveSupport::Concern

	    	mattr_accessor :pem
	    	@@pem = nil

	    	mattr_accessor :port
	    	@@port = 2195

	    	def self.send_notification(message, data = {}, device = nil)
	    		certificate = @@pem
	        APNS.pem  = certificate
	        APNS.port = @@port

	        device_token = device.register
	        
	        unless device_token.nil?
	          APNS.send_notification(device_token, :alert => message, :badge => 5, :sound => 'default', :other => data)
	        end
	    	end

	    end
  	end
  end
end

