require 'active_support/dependencies'
require 'agilib/push_notification/platforms/ios'
require 'agilib/push_notification/platforms/android'
require 'agilib/push_notification/model'

module Agilib
  module PushNotification
    extend ActiveSupport::Concern

    @@avaiable_platforms = {
      :ios      => Agilib::PushNotification::Platform::Ios, 
      :android  => Agilib::PushNotification::Platform::Android
    }

    def self.avaiable_platforms
      @@avaiable_platforms
    end

    mattr_accessor :device_route
    @@device_route = "/devices"

    mattr_accessor :use_platforms
    @@use_platforms = Hash.new

    def self.platform(name, options={}, &block)
      @@use_platforms[name] = true

      mod = @@avaiable_platforms[name]

      options.each_with_index do |value, index|
        mod.send("#{value[0]}=", [value[1]])
      end

      if block_given?
        yield(mod)
      end

    end


  end
end

if defined? ActiveRecord
  ActiveRecord::Base.send :include, Agilib::PushNotification
end