# encoding: utf-8
module Agilib
  module Generators
    class InstallGenerator < ::Rails::Generators::Base
      desc "Instalação da Agilib"
      
      class_option :token,              type: :boolean, desc: 'Prepara o projeto para Autenticação por Token'
      class_option :push,              type: :boolean, desc: 'Prepara o projeto para Notificação por Push'
      class_option :"skip-migration",   type: :boolean, desc: 'Caso não queira que seja criado o arquivo de migração para o token'

      source_root File.expand_path('../templates', __FILE__)

      def config_token
        if options[:token]
          invoke "agilib:token", ["Token"], options
        end
      end
      
      def add_route
        route("agilib")
      end

      def config_push
        if options[:push]
          invoke "agilib:push", ["Push"], options
        end
      end
      
      def copy_config
        template "config/initializers/agilib.rb"
      end

    end
  end
end
