Agilib.setup do |config|


	# Define se a aplicação vai usar autenticação por token
	# Caso esteja habilitado, será preciso adicionar o helper da agilib para que sejam criadas
	# as rotas para o Agilib::TokensController
	#
	# Exemplo:
	#
	#   config/routes.rb
	#
	# 	agilib_token_authenticatable
	#
	# Este procedimento é necessário para que a rota /tokens.json esteja disponível
  config.use :token_authenticatable do |options|

  	# ===============================================================================
  	# Define se deja utilizar a forma mais segura de trabalhar com Tokens
  	# Habilitando eo secure_token, torna-se obrigatório enviar junto ao token o email
  	# do Usuário e com isso será feita uma dupla checagem
  	# 
  	# Default: true
  	options.secure_token = true

  	# ===============================================================================
  	# Define qual será a rota para solicitação/remoção do token
  	#
  	# Exemplo: /tokens.json
  	# Se alterar para: options.route = "token_login"
  	# A rota será: /token_login.json
  	#
  	#
  	# Default: "/tokens"
  	options.route = "/tokens"

  	# ===============================================================================
  	# Define em quais parâmetros serão passados o token e o email do usuário
		# 
		# Exemplo:
		# 
		# /posts.json?user_token=AhAuHEAUheAU&user_email=agivis@agivis.com.br
		#
		# Default: {:user_token => :user_token, :user_email => :user_email}
		# 
  	options.auth_params = {:user_token => :user_token, :user_email => :user_email}

  	# ===============================================================================
  	# Define quais parâmetros serão passados para solicitar o token
		# 
		# Exemplo:
		# 
		# /tokens.json?email=agivis@agivis.com.br&password=12345
		# 
		# Default: {:login => :email, :password => :password}
		# 
  	options.login_params = {:login => :email, :password => :password}

  end



end
