# encoding: utf-8
module Agilib
  module Generators
    class PushGenerator < ::Rails::Generators::Base
      desc "Instalação do módulo Token Authenticatable da Agilib"
      class_option :"skip-migration",   type: :boolean, desc: 'Caso não queira que seja criado o arquivo de migração'

      source_root File.expand_path('../templates', __FILE__)

      # Se o arquivo de configuração não foi criado
      # Então chama o generator de instalação da gem
      def verify_configuratino_file
        unless File.exists?(File.join("config/initializers/agilib.rb"))
          invoke "agilib:install", ["Agilib"]
        end
      end

      def add_route
        unless File.exists?(File.join("config/initializers/agilib.rb"))
          route("agilib_push_notification")
        end
      end

      def update_model
          inject_into_class "app/models/user.rb", "User", <<-RUBY
  agilib_push_notification

          RUBY
      end


      def copy_push_migration
        if !options[:"skip-migration"]
          invoke "active_record:agilib_push", ["Agilib"]
        end
      end

    end
  end
end
