# encoding: utf-8
module Agilib
  module Generators
    class TokenGenerator < ::Rails::Generators::Base
      
      desc "Instalação do módulo Token Authenticatable da Agilib"
      class_option :"skip-migration",   type: :boolean, desc: 'Caso não queira que seja criado o arquivo de migração'

      source_root File.expand_path('../templates', __FILE__)

      # Se o arquivo de configuração não foi criado
      # Então chama o generator de instalação da gem
      def verify_configuratino_file
        unless File.exists?(File.join("config/initializers/agilib.rb"))
          invoke "agilib:install", ["Agilib"]
        end
      end

      def add_route
        unless File.exists?(File.join("config/initializers/agilib.rb"))
          route("agilib_token_authenticatable")
        end
      end

      def update_application_controller_and_model
          inject_into_class "app/controllers/application_controller.rb", "ApplicationController", <<-RUBY
  agilib_token_authenticatable

          RUBY

          if File.exists?(File.join("app/models/user.rb"))
            inject_into_class "app/models/user.rb", "User", <<-RUBY
    agilib_token_authenticatable

            RUBY
          end
      end

      def copy_token_migration
        if !options[:"skip-migration"]
          invoke "active_record:agilib_token", ["Agilib"]
        end
      end

    end
  end
end
